
Redmine - Feature #23491

Author name in mail from

2016-08-02 00:02 - Roman Belyakovsky

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This feature was already discussed in #5913 and #2406 is but still missing in the current version. As it's the way github issues

notifications I've decided to push this patch.

--- app/models/mailer.rb        (revision 15732)

+++ app/models/mailer.rb        (working copy)

@@ -438,7 +438,7 @@

             'X-Redmine-Site' => Setting.app_title,

             'X-Auto-Response-Suppress' => 'All',

             'Auto-Submitted' => 'auto-generated',

-            'From' => Setting.mail_from,

+            'From' => "#{User.current.name} <#{Setting.mail_from}>",

             'List-Id' => "<#{Setting.mail_from.to_s.gsub('@', '.')}>" 

     # Replaces users with their email addresses

Related issues:

Is duplicate of Redmine - Feature #5913: Authors name in from  address of ema... Closed 2010-07-20

History

#1 - 2016-08-16 21:11 - Roman Belyakovsky

- Status changed from New to Resolved

#2 - 2016-08-16 21:13 - Roman Belyakovsky

Accidentally marked as resolved. Meant to update my internal ticket as I've implemented patch applying automation.

#3 - 2016-08-19 11:32 - Go MAEDA

- Status changed from Resolved to New

#4 - 2016-08-19 12:45 - Toshi MARUYAMA

- Related to Feature #5913: Authors name in from  address of email notifications added

#5 - 2016-08-19 12:55 - Toshi MARUYAMA

- Related to deleted (Feature #5913: Authors name in from  address of email notifications)

#6 - 2016-08-19 12:55 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #5913.

#7 - 2016-08-19 12:56 - Toshi MARUYAMA

- Is duplicate of Feature #5913: Authors name in from  address of email notifications added

Files
https://www.redmine.org/issues/5913
https://www.redmine.org/issues/2406
http://github.com
https://www.redmine.org/issues/5913
